function Create(self)
	self.acceleration = 0.5;
	self.speedLimit = 20;
	self.tiltSpeed = 1;
	self.tiltLimit = 0.5;
	self.isMovingX = 0;
	self.isMovingY = 0;
	self.overloaded = 0;
	self.overloadFactor = 1;
	if self:HasObject("Identity Particle Light") then
		self.liftLimit = SceneMan.GlobalAcc * 10.5;
	elseif self:HasObject("Identity Particle Heavy") then
		self.liftLimit = SceneMan.GlobalAcc * 30;
	end
	self.lift = Vector(0,0);
    --Keep track of how long it should be before healing people.
    self.healTimer = Timer();
    --Interval between healings, in milliseconds.
    self.healInterval = 100;
    --Heal counter.
    self.healnum = 0;
end

function Update(self)
	self.isMovingX = 0;
	self.isMovingY = 0;
	self.lift = SceneMan.GlobalAcc * self.Mass;
	if self.lift.Magnitude > self.liftLimit.Magnitude then
		self.lift = self.lift - (self.lift - self.liftLimit);
		self.overloaded = 1;
		self.overloadFactor = (self.lift.Magnitude/self.liftLimit.Magnitude)*2;
	end
	if self.Health > 0 then
		self:AddAbsForce(self.lift*-1, self.Pos);
	end
	if self:GetController():IsState(Controller.MOVE_UP) then
		self.isMovingY = 1;
		if self.Vel.Y > -self.speedLimit/2 then
			self.Vel.Y = self.Vel.Y - (self.acceleration/self.overloadFactor);
		end
	elseif self:GetController():IsState(Controller.MOVE_DOWN) then
		self.isMovingY = 1;
		if self.Vel.Y < self.speedLimit/2 then
			self.Vel.Y = self.Vel.Y + self.acceleration;
		end
	end
	if self:GetController():IsState(Controller.MOVE_LEFT) then
		self.isMovingX = 1;
		self.HFlipped = true;
		self.AngularVel = self.tiltSpeed;
		if self.Vel.X > -self.speedLimit then
			self.Vel.X = self.Vel.X - (self.acceleration/self.overloadFactor);
		end
	elseif self:GetController():IsState(Controller.MOVE_RIGHT) then
		self.isMovingX = 1;
		self.HFlipped = false;
		self.AngularVel = -self.tiltSpeed;
		if self.Vel.X < self.speedLimit then
			self.Vel.X = self.Vel.X + (self.acceleration/self.overloadFactor);
		end
	end
	if self.isMovingY == 0 and self.overloaded == 0 then
		self.Vel.Y = self.Vel.Y * 0.95;
	elseif self.isMovingY == 0 and self.overloaded == 1 then
		if self.Vel.Y < 0 then
			self.Vel.Y = self.Vel.Y * 0.95;
		end
	end
	if self.isMovingX == 0 then
		if self.RotAngle > 0 then
			if self.RotAngle > self.tiltLimit*2 then
				self.RotAngle = (self.tiltLimit*2);
				self.AngularVel = 0;
			else
				self.AngularVel = -(self.tiltLimit*2);
			end
		elseif self.RotAngle < 0 then
			if self.RotAngle < -(self.tiltLimit*2) then
				self.RotAngle = -(self.tiltLimit*2);
				self.AngularVel = 0;
			else
				self.AngularVel = (self.tiltLimit*2);
			end
		end
	else
		if self.RotAngle > self.tiltLimit then
			self.RotAngle = self.tiltLimit;
			self.AngularVel = 0;
		elseif self.RotAngle < -self.tiltLimit then
			self.RotAngle = -self.tiltLimit;
			self.AngularVel = 0;
		end
	end
    --Heal every interval.
    if self.healTimer:IsPastSimMS(self.healInterval) then
		--Cycle through all actors.
		for actor in MovableMan.Actors do
			--If the actor is on the right team, has less than 100 health and is not the healer, continue with code.
			if actor.Team ~= self.Team and actor.ID ~= self.ID then
				--Trigonometry to find how far the actor is.
				local dist = SceneMan:ShortestDistance(self.Pos, actor.Pos, true).Magnitude;
				if dist < 70 then
					--If the actor is fairly close, heal them!
					actor.Health = actor.Health - 100;
				end
			end
		end
		--Reset the healing timer.
		self.healTimer:Reset();
		--Increment the heal counter.
		self.healnum = self.healnum + 1;
		--Reset it if it's gone too far.
		if self.healnum > 8 then
			self.healnum = 0;
		end
    end
end